Actually, this is a pretty stable system and changing something as important as dnsmasq is fraught<br>
with risks. Apart from that, the management hasn&#39;t allocated enough time for me to be able to upgrade<br>
to the latest version and test all the related functionalities.<br>
<br>
I do hope, however, that the version I&#39;m using does not have critical bugs or restrictions.<br>
<br>
Thanks,<br>
Kunal<br><br><div><span class="gmail_quote">On 9/18/07, <b class="gmail_sendername"><a href="mailto:richardvoigt@gmail.com">richardvoigt@gmail.com</a></b> &lt;<a href="mailto:richardvoigt@gmail.com">richardvoigt@gmail.com
</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"><br><br><div><span class="q"><span class="gmail_quote">On 9/17/07, <b class="gmail_sendername">
~ Kunal Sharma ~</b> &lt;<a href="mailto:koolkunal@gmail.com" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">koolkunal@gmail.com</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">

Hi Simon,<br>
<br>
Yes, I&#39;m using 2.23, so its pretty old but I can&#39;t change it now for certain reasons !<br>
<br>Thanks,<br><span>
Kunal</span></blockquote></span><div><br>May I inquire as to the rationale that allows modifications to dnsmasq but not upgrade to the latest version?<br><br></div><br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
<div><span class="e" id="q_11516b8578cb95bf_3">
<div><span><span class="gmail_quote">On 9/14/07, <b class="gmail_sendername">Simon Kelley</b> &lt;<a href="mailto:simon@thekelleys.org.uk" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">simon@thekelleys.org.uk
</a>&gt; wrote:</span></span><span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
~ Kunal Sharma ~ wrote:<br>&gt; Hi Simon,<br>&gt;<br>&gt; Many thanks for replying. Basically, I&#39;m trying to add support for the<br>&gt; DHCP requirements that are needed for DSL Forum&#39;s TR-111 standard,<br>&gt; in my gateway device.
<br>&gt;<br>&gt;&nbsp;&nbsp;&gt;The existing support for non-vendor-identifying encapsulated options is<br>&gt;&nbsp;&nbsp;&gt;in two places. The data gets laid out in the packet in the second half<br>&gt;&nbsp;&nbsp;&gt;of do_options() in src/rfc2131.c.
<br>&gt;<br>&gt; I hope you&#39;re talking about do_opt() or do_req_options() because I don&#39;t<br>&gt; find do_options() in the code.<br><br>I&#39;m talking about do_options(). It sounds like you have an older<br>release. The current release is 
2.40. Unless you have very good reasons<br>why not, it&#39;s best to work from that.<br><br>&gt;<br>&gt; And yes, I&#39;m aware of GNU GPL. I just meant to make sure the author<br>&gt; does not place any proprietary licence. So. I&#39;ll definitely share the source
<br>&gt; once I&#39;m done with this.<br><br>GPL v2 for all current releases. It&#39;s possible that future releases will<br>be GPL v3, see current posts in this groups.<br><br><br>Cheers,<br><br>Simon.<br><br>&gt;<br>&gt; Thanks again,
<br>&gt; Kunal<br>&gt;<br>&gt;<br></blockquote></span></div><br>
<br></span></div>_______________________________________________<br>Dnsmasq-discuss mailing list<br><a href="mailto:Dnsmasq-discuss@lists.thekelleys.org.uk" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">
Dnsmasq-discuss@lists.thekelleys.org.uk
</a><br><a href="http://lists.thekelleys.org.uk/mailman/listinfo/dnsmasq-discuss" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">http://lists.thekelleys.org.uk/mailman/listinfo/dnsmasq-discuss</a>
<br>
<br></blockquote></div><br>
</blockquote></div><br>